| Home | Libraries | People | FAQ | More

##### execution_state::meta

Returns metadata about the columns in the query.

###### Synopsis

    metadata_collection_view
    meta() const noexcept;

###### Description

The returned collection will have as many `metadata` objects as columns retrieved by the SQL query, and in the same order.

###### Exception safety

No-throw guarantee.

###### Object lifetimes

This function returns a view object, with reference semantics. The returned view points into memory owned by `*this`, and will be valid as long as `*this` or an object move-constructed from `*this` are alive.